aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJóhann B. Guðmundsson <johannbg@gmail.com>2021-05-18 14:14:11 +0000
committerJóhann B. Guðmundsson <johannbg@gmail.com>2021-05-25 11:58:43 +0000
commit6c673298f36990665467564e6114c9ca2530f584 (patch)
tree772d9327deebced0a34c3f342711873305f9a3e3
parent4cb086fa2995799b95c0b25bc9a0cf72ba3868ea (diff)
downloaddracut-6c673298f36990665467564e6114c9ca2530f584.tar.gz
fix(mksh): minor cleanups
- Remove hard coded path to binary - Add missing license header - Document sections - refactor install section
-rwxr-xr-xmodules.d/00mksh/module-setup.sh28
1 files changed, 20 insertions, 8 deletions
diff --git a/modules.d/00mksh/module-setup.sh b/modules.d/00mksh/module-setup.sh
index aa129a1d..8da3376e 100755
--- a/modules.d/00mksh/module-setup.sh
+++ b/modules.d/00mksh/module-setup.sh
@@ -1,20 +1,32 @@
#!/bin/bash
+# This file is part of dracut.
+# SPDX-License-Identifier: GPL-2.0-or-later
-# called by dracut
+# Prerequisite check(s) for module.
check() {
- require_binaries /bin/mksh
+
+ # If the binary(s) requirements are not fulfilled the module can't be installed.
+ require_binaries mksh || return 1
+
+ # Return 255 to only include the module, if another module requires it.
+ return 255
+
}
-# called by dracut
+# Module dependency requirements.
depends() {
+
+ # Return 0 to include the dependent module(s) in the initramfs.
return 0
+
}
-# called by dracut
+# Install the required file(s) and directories for the module in the initramfs.
install() {
- # If another shell is already installed, do not use mksh
- [[ -x $initdir/bin/sh ]] && return
- # Prefer mksh as /bin/sh if it is available.
- inst /bin/mksh && ln -sf mksh "${initdir}/bin/sh"
+ inst /bin/mksh
+
+ # Prefer mksh as default shell if no other shell is preferred.
+ [[ -L $initdir/bin/sh ]] || ln -sf mksh "${initdir}/bin/sh"
+
}